import './capture_event_result.dart';
class JRpcEvent {
  String jsonrpc = '2.0';
  late dynamic result;
  JRpcEvent(
      int id, int type, dynamic value, [int? handle]) {
      this.result = CaptureEventResult(id, type, value, handle).toJson();
  }
  JRpcEvent.fromJson(Map<String, dynamic> json): 
        result = json['result'],
        jsonrpc = json['jsonrpc'];
  
  Map<String, dynamic> toJson() => {
        'result': result,
        'jsonrpc': jsonrpc
  };
}