import 'jrpc.dart';

class JRpcResponse extends JsonRpc {
  dynamic result;

  JRpcResponse(int id, dynamic response) : super(id) {
    this.result = response;
  }

  JRpcResponse.fromJson(Map<String, dynamic> json): 
        result = json['result'];
        
  Map<String, dynamic> toJson() => {
        'result': result
  };
}