import './index.dart';

class JRpcRequest extends JsonRpc {
  String? method;
  dynamic params;

  JRpcRequest(int id, this.method, dynamic params) : super(0) {
    this.params = params;
    this.id = id;
    this.jsonrpc = this.jsonrpc;

  }

  JRpcRequest.fromJson(Map<String, dynamic> json): 
        method = json['method'],
        params = json['params'];
        // jsonrpc = json['jsonrpc'];
  
  Map<String, dynamic> toJson() => {
        'method': method,
        'params': params,
        'id': id,
        'jsonrpc': jsonrpc
  };
}